Information Exposure Affecting omero-web package, versions [,5.9.0)


Severity

Recommended
0.0
medium
0
10

CVSS assessment made by Snyk's Security Team

    Threat Intelligence

    EPSS
    0.09% (40th percentile)

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-PYTHON-OMEROWEB-1088354
  • published 23 Mar 2021
  • disclosed 23 Mar 2021
  • credit Unknown

How to fix?

Upgrade omero-web to version 5.9.0 or higher.

Overview

omero-web is an OMERO.web

Affected versions of this package are vulnerable to Information Exposure. OMERO.web loads various information about the current user such as their id, name and the groups they are in, and these are available on the main webclient pages.

CVSS Scores

version 3.1
Expand this section

Snyk

4.8 medium
  • Attack Vector (AV)
    Network
  • Attack Complexity (AC)
    High
  • Privileges Required (PR)
    Low
  • User Interaction (UI)
    Required
  • Scope (S)
    Unchanged
  • Confidentiality (C)
    High
  • Integrity (I)
    None
  • Availability (A)
    None
Expand this section

NVD

6.5 medium